# -*- text -*-

----------------------------------------------------------------------

Changes: V5.7.3.rc3 -> V5.7.3

commit cc3216b6587bfd263adf9b0ff12cd9a59e7d66da
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Dec 8 12:21:49 2014 -0800

    make depend for 5.7.3

commit d21c3a2258092cf6de07370f75632a0e8e51529e
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Dec 8 11:17:44 2014 -0800

    V5-7-patches out of Release Candidate

commit f5174f209ef0b51b1c2fd88713c3dae7b6db3659
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Dec 8 11:17:40 2014 -0800

    Version number update: 5.7.3

commit 5a10878e5053d06f7ad1a353297e91bd267d0915
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Dec 8 11:16:27 2014 -0800

    use the agent with gpg

commit a68747ca8a4c2922581b7b6a9a3467a2a7776ab7
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Dec 8 10:56:25 2014 -0800

    Another cygwin build improvement patch from Bart Van Assche

commit 30a2a088e76321e253f2603e058f2faf869bf150
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Dec 8 10:56:09 2014 -0800

    Another cygwin build improvement patch from Bart Van Assche

commit 425cffcb2f322a50e4f80990667d93ad0bf11a26
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Dec 8 10:26:19 2014 -0800

    CHANGES: Patch from Bart Van Assche to improve cygwin building

commit 3c80a42d7d997f5ff6ca14ca4e013d3a5266cc4f
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Dec 8 10:25:14 2014 -0800

    CHANGES: Modified patch from Bart Van Assche to improve cygwin building

commit add1341c9ca33fea07221914ca2791e6ab7b1caa
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri Nov 7 06:47:09 2014 +0100

    snmplib/system.c: make the test for return code from uname conform to POSIX.

----------------------------------------------------------------------

Changes: V5.7.3.rc1 -> V5.7.3.rc3
(there was no official rc2)

commit e69ac8728987b33852c5007667015a6d23cbe85b
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Nov 10 11:57:58 2014 -0800

    make depend for 5.7.3.rc3

commit f6eb2013fd3db444df670b956010e77c0fc2b1d2
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Nov 10 11:30:01 2014 -0800

    Release Candidate for V5-7-patches

commit 1165717bea711b0798327085f31ac3dbc577b2fb
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Nov 10 11:29:58 2014 -0800

    Version number update: 5.7.3.rc3

commit de0ebcf027accd21e642436d91074484f7ce62d8
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Fri Nov 7 16:21:52 2014 -0800

    make depend for 5.7.3.rc2

commit 6b43b9b9ae3e17fc2747dc522bf9a0c4a8025964
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Fri Nov 7 15:47:10 2014 -0800

    Release Candidate for V5-7-patches

commit 01dbb30b7dd5fccca6950a50a09d5c0b0d9862f6
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Fri Nov 7 15:47:05 2014 -0800

    Version number update: 5.7.3.rc2

commit a9307c82589ff6895341a5a03e5e0b4358350cb2
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri Nov 7 06:51:34 2014 +0100

    snmplib/system.c: make the test for return code from uname conform to POSIX.

commit bd86390cf1300683e5ffbe1922a523c7cf211b0f
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Sep 28 20:08:38 2014 +0200

    T065agentextend_sh_simple: Add a new regression test

----------------------------------------------------------------------

Changes: V5.7.3.pre5 -> V5.7.3.rc1

commit 8fc7514b59dc46b8f3e36c81a92af008dc8dc188
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Wed Oct 1 09:59:26 2014 -0700

    make depend for 5.7.3.rc1

commit 3ea514423d9373af77cbc4b8336b170143864389
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Sep 30 23:12:40 2014 -0700

    Release Candidate for V5-7-patches

commit abb7f2eec173c8d262bf6ef1b7deb5b70839d15f
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Sep 30 23:12:39 2014 -0700

    Version number update: 5.7.3.rc1

commit bcaab48d9d498361fdd451652773b3b956c7f10c
Author: Robert Story <rstory@localhost>
Date:   Thu Sep 25 09:36:00 2014 -0400

    remove bad assert check

commit 5d1ecf6d1591a53e711c5feea158d10dd90fab3b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Sep 1 14:46:50 2014 +0200

    CHANGES: MinGW: Port T005table_dataset_cagentlib.c to MinGW

commit af8c17e6482cb55206c5027098366f60ad8f7cc7
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Sep 1 13:24:18 2014 +0200

    CHANGES: BUG: 2568: Avoid that file descriptors above FD_SETSIZE trigger abort()

commit 4224cabcb112d0d437f9ca9f4d3430501d1c8750
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Jul 22 06:49:28 2014 -0700

    When enlarging a large_fd_set, use FD_ZERO if possible
    
    The most common case of creating a large_fd_set on UNIX
    is to create it with size zero, and then immediately enlarge
    it to size FD_SETSIZE.  Instead of looping and calling
    FD_CLR(), we can optimize this common case with the OS's
    FD_ZERO.

commit 3524a92f227eb3e736908b1f1f525da2dc949d22
Author: Bart Van Assche <bvassche@users.sourceforge.net>
Date:   Sat Jan 23 17:42:41 2010 +0000

    Fixed a Solaris-specific compiler warning.
    
    git-svn-id: file:///home/hardaker/lib/sf-bkups/net-snmp-convert-svnrepo/trunk@18029 06827809-a52a-0410-b366-d66718629ded

commit 954ea4d70840aa5f753a06e5df7652b258d92042
Author: Dave Shield <dts12@users.sourceforge.net>
Date:   Mon Jun 21 08:01:43 2010 +0000

    Ensure that fdset structure is resized sufficiently
    to accomodate the specified socket ID.
    Problem reported by Shiyalei.
    
    git-svn-id: file:///home/hardaker/lib/sf-bkups/net-snmp-convert-svnrepo/trunk@19066 06827809-a52a-0410-b366-d66718629ded

commit 3da0c378b5cb1bbf35d05a6212a483abda84a201
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Sep 1 08:59:04 2014 +0200

    Fix commit 7f4a7b891332899cea26e95be0337aae01648742: dont mix code and declarations.

commit 0837b21e798a9856c0a9f438ec44a83bed1f8536
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Fri Aug 29 08:18:20 2014 +0200

    Empty initializers are (sadly) not part of C.
    Stop using them.

commit 5e4f6e3f43035a689c9fa289027eed60a22dbfaf
Author: Bill Fenner <fenner@gmail.com>
Date:   Thu Aug 28 12:12:21 2014 -0400

    Add a debug message when skipping a key

commit e5706150c4532d7fc1832718568bb50bb0ffc01f
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Thu Jul 31 15:44:31 2014 +0200

    Added test for sprint_realloc_variable with -OQ cmdline argument.

commit 7f4a7b891332899cea26e95be0337aae01648742
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Thu Jul 31 13:46:49 2014 +0200

    Added checks for printing variables with wrong types.
    
    When -OQ command line argument is used, variable formatter preffers the type
    of the varible parsed from a MIB file instead of checking type of the variable
    as parsed from SNMP message.
    
    This can lead to crashes when incoming packets contains a variable with
    NULL type, while the MIB says the variable should be non-NULL, like Integer.
    The formatter then tries to interpret the NULL (from packet) as Integer (from
    MIB file).

commit 9c4ddca96082c139cfce928eea3cfe793d34f5c2
Author: Jeff Gehlbach <jeffg@opennms.org>
Date:   Thu Jul 31 11:52:18 2014 -0400

    Add a scalar object containing the number of processors seen by the agent. Placed this in the systemStats group for lack of an obviously better location. Updated UCD-SNMP-MIB accordingly.
    
    Signed-off-by: Niels Baggesen <nba@users.sourceforge.net>

commit 664ed943f63dfe9393e959840ecd23c31c9d8f89
Author: Bill Fenner <fenner@gmail.com>
Date:   Wed Aug 27 16:02:57 2014 -0400

    Handle duplicates in a binary_array container
    
    The CONTAINER_KEY_ALLOW_DUPLICATES setting is fundamentally flawed;
    it really effectively meant "I promise I won't insert duplicates
    so don't check at insert time".  However, the ip-forward-mib
    sets this flag but relies on the duplicate prevention at insert
    time under certain scenarios (e.g., multiple attachments to the
    same subnet on MacOS), resulting in a loop in ip-forward-mib
    in these scenarios.  So, now it means "check for duplicates at
    getnext time" - the binary search will find an arbitrary one
    of the entries with the same key, and when we've incremented
    we have to check whether or not we've actually incremented past
    any duplicates.  This costs an extra key compare per getnext.
    
    If there's a scenario in the future where a MIB implementation
    can really guarantee that it isn't inserting duplicates, we
    might want to add a "CONTAINER_KEY_I_PROMISE_I_WONT_INSERT_DUPLICATES",
    that disables the insertion check but doesn't perform the getnext
    check.

commit f82d2d63493f4079c167ba36b203e49cda3bde8d
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Aug 18 21:55:04 2014 +0200

    Fix for FreeBSD9 losing mib-modules list because of missing NL in sed input.

commit 52b072bcff32e3512fbf956b72d1a353e50a962b
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Aug 18 21:53:38 2014 +0200

    Updates for BFD mibs.

commit 03db67b322d76d717be17a87e777c91dd0fdd3ac
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Aug 12 23:55:07 2014 -0400

    If sdl_alen is too long for the static buffer, call it incomplete instead of overrunning the buffer

commit 8ae78da391d5b6b61cc2516eb1a6520b0dabb6bf
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Aug 12 22:55:45 2014 -0400

    Use vm_region_64 on 64-bit arch; cache memory for longer
    
    This is a port of the Apple patches at
    http://www.opensource.apple.com/source/net_snmp/net_snmp-140.1/patches/darwin64.patch
    1. Use vm_region_64 instead of vm_region on __ppc64__ or __x86_64__
    2. Use 300 second timeout for the cache.
    
    This comment about the code being incredibly expensive is
    very true: on a 1.7 GHz i7 with 8 GB of RAM (admittedly a
    small machine) it took 17 seconds to calculate and
    return HOST-RESOURCES-MIB::hrMemorySize.0.  Most SNMP
    clients would give up long before getting this answer.

commit 613e93704ba95f3c6440114eb73bf09f7775560e
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Aug 12 22:34:06 2014 -0400

    darwin13 also uses kernel_sysctl

commit c13dd97d7bdde7302d002787eef03d772f29bcd4
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Aug 12 12:30:23 2014 -0700

    Use the right header guard.
    
    Believe it or not, clang found this detail with -Wheader-guard.

commit d5d40302b0ab340e211ad76d7f195b807f387ef3
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Aug 11 12:33:50 2014 -0700

    update to new key ID

----------------------------------------------------------------------

Changes: V5.7.3.pre4 -> V5.7.3.pre5

commit f3f371b276d265b455fc490fce1947dadf89e9c2
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Fri Aug 8 19:49:06 2014 -0700

    make depend for 5.7.3.pre5

commit 418132f43cc43231966a8b9672c626f60b991039
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Fri Aug 8 14:24:52 2014 -0700

    fix the run-autoconf program

commit 7db795949075efb489373f51f706636fe54a9835
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Fri Aug 8 14:24:52 2014 -0700

    fix the run-autoconf program

commit 78f1ef816ddad08e7d7c9e1b11e4b4ab26f6e4b0
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Fri Aug 8 13:28:47 2014 -0700

    used the right autoconf

commit 1eaeac801a3625b72b09c7da58038409cd8dc681
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Fri Aug 8 13:26:11 2014 -0700

    Version number update: 5.7.3.pre5

commit 7ecfd3ede19e9c2218c9bf5959c095ce9fa6c8ab
Author: Brian Sipos <bsiposrkf@users.sourceforge.net>
Date:   Wed Aug 6 10:30:54 2014 -0700

    Fix detection of sha224 and sha384, patch from Brian Sipos
    
    https://sourceforge.net/p/net-snmp/bugs/2564/
    
    Luckily nobody's needed to build using an OpenSSL version
    that doesn't support sha224 or sha384, since the inversion
    of the test here would try to use sha224/sha384 support only
    on OpenSSL versions that don't support them!

commit a93991eaf53b199b19c582b630da25158300a9d1
Author: Robert Story <rstory@localhost>
Date:   Fri Aug 1 10:07:45 2014 -0400

    fix #2482 snmp response: Too long

commit 9f41d30b09e7c85b8268103ca320ac6cc32d5b04
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Sat Jul 26 08:28:43 2014 +0200

    Fix bug 2546: netsnmp_tdomain_transport_full uses wrong port for snmptrap + udp6

commit db1f217541e00b53813d94f6befb9a42d4838e95
Author: Jeff Gehlbach <jeffg@opennms.org>
Date:   Fri Jul 25 16:11:23 2014 -0400

    Fix bug 2562: Windows x64 build broken on 5.7.3.pre4

commit 9741f08e75b4162bb3c8b449279f182d949da373
Author: Bill Fenner <fenner@gmail.com>
Date:   Thu Jul 24 08:10:40 2014 -0400

    Use the standard expr ":" syntax

----------------------------------------------------------------------

Changes: V5.7.3.pre3 -> V5.7.3.pre4

commit 864abb5ba1eb324e423157db5fb1723f855973b2
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Wed Jul 23 15:07:41 2014 -0700

    make depend for 5.7.3.pre4

commit 5fc8f99c9f77ddadeeacedae7f06fea1767d4a9f
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Wed Jul 23 15:02:19 2014 -0700

    fix C++ style comment

commit 54a4a90a5529ea58add9e6af6a7e8ad065440828
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Wed Jul 23 14:49:41 2014 -0700

    Version number update: 5.7.3.pre4

commit c0d66826b71f05403f36c7f8234ff8f7ecbd1590
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Jul 22 06:49:28 2014 -0700

    When enlarging a large_fd_set, use FD_ZERO if possible
    
    The most common case of creating a large_fd_set on UNIX
    is to create it with size zero, and then immediately enlarge
    it to size FD_SETSIZE.  Instead of looping and calling
    FD_CLR(), we can optimize this common case with the OS's
    FD_ZERO.

commit dcad31aeb442369a6fb52f4dc7d4f781bc56006c
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jul 17 23:40:13 2014 +0200

    Solaris does not like "grep -E" or "if !".
    Propagate configures EGREP to man/Makefile.in and also used configured SED.

commit a51cbedf7d1d424342ab5ca3a4b67217a364409a
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Jul 15 21:45:54 2014 +0200

    snmpnetstat/if.c: properly detect snmp exceptions

commit eee92519f38e937f227bea7701ddb1157c8bcccc
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Jul 15 07:27:18 2014 -0700

    Close pipes when freeing config and kill child process on error
    
    When freeing the config, close the pipes corresponding to that
    config, so they don't get leaked.  Also, if we have an error,
    send a SIGKILL to the child process in case it is blocked and
    won't die just because we closed the pipes to it.

commit 8431f913554e0cccc48bedce1fd4a8a288b6c27d
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Jul 15 07:19:33 2014 -0700

    If the asp lookup returns NULL, don't try to use it
    
    If there is no corresponding asp, we set the result properly
    but still fall through and attempt to use it.  Instead, just
    continue.

commit 146fa384d8b05e1e5a2c67f88d0eca0a304fa1f0
Author: Bill Fenner <fenner@gmail.com>
Date:   Mon Jul 14 15:26:14 2014 -0700

    Fix dependencies for auto-generated man pages
    
    Also make sure that the auto-generated .so files are listed
    in the right Makefile variables, and update the variables
    to include the ones that had been left out already.

commit 4431728cf7a0950aed293d48c02e69000f5b83e8
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Jul 13 03:07:21 2014 -0700

    AIX: Fix more compiler warnings
    
    Avoid that the compiler complains about casting away const, about
    unused variables or functions, about missing function prototypes
    and also avoid that the compiler complains that the type of the
    third argument of mntctl() is wrong.

commit 42a65f11e3ed56963f78a5c1561edd67658ccd00
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Jul 13 09:47:26 2014 +0200

    Remove C99 length specifier 'z' and use a cast instead
    
    See also commit b4eab11139eb122c9ad3c13ab8b9453e04e46842.

commit 35d0f59cdd8894b8fbbad65370b5e301e377a37f
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri Jul 11 21:26:33 2014 +0200

    Updated DOCS-IF-MIB reference

commit 7a4d2ea2b3e163fdd98f067ae440faa3152c80c6
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri Jul 11 21:25:27 2014 +0200

    Updated IANA mibs

commit 01b3b6646413c14a050742726b97cf308b8fe09b
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Jul 9 23:51:27 2014 +0200

    Add RFC 7257 vpls mibs

commit b0be1d8ad2ccbcaa29ffc7cf884d02438c4c1665
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Jul 9 23:50:21 2014 +0200

    adjust debug token for netsnmp_sockaddr_in6_2

commit 9920e9e767b10f029ab4b020e8259676d1a32b2f
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Jul 8 10:25:22 2014 +0200

    AIX: Suppress a configure warning
    
    Avoid that the 'sort' command complains during the configure process
    that its input is not terminated by a newline. See also commit
    a63e381d9c1c9c87210bf2b022e3d6ac71d27a7e.

commit b4eab11139eb122c9ad3c13ab8b9453e04e46842
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Jul 7 14:04:45 2014 -0700

    AIX: Fix a few compiler warnings
    
    Avoid that the following compiler warnings are reported:
    - Assignment discards const.
    - Unused local variable.
    - Mismatch between format string and argument list.
    
    Also correct the indentation of two Solaris-specific code statements.

commit 0dd2783b747fb96d74978e11c82a504c0df1d555
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Jul 6 11:12:30 2014 +0200

    HP UX, CPU statistics: Fix an invalid pointer dereference
    
    See also commit 0034581deb3e676d328824c87637aaca31850c6a.

commit dbd593132f719cc3d9bb5017ec8bc5c8cbb063b7
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jul 3 23:23:29 2014 +0200

    T071com2sec6_simple: use private host to check ipv6 address resolution to make sure we get the expected result

commit 0034581deb3e676d328824c87637aaca31850c6a
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Jun 30 22:08:34 2014 +0200

    BUG #a2551: fix non-sequential cpu numbers on HP-UX.
    Thanks to Dave Olker.

commit b0f49ba21fb810efcb0992f01c4fc5fd30cf69af
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jun 26 21:42:48 2014 +0200

    cpu_pstat.c: fix missing break(s) in switch statement

commit a63e381d9c1c9c87210bf2b022e3d6ac71d27a7e
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri Jun 20 10:57:39 2014 +0200

    Recent patch from Bart (Display module names sorted) make configure lose all module names on Solaris 8 and 10.
    This changes the way the sorting is done.

commit 60cf6a06ff73ae7d4f2454f2ef40c56fcd394bfa
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Jun 18 22:19:32 2014 +0200

    make test: bail out if netstat not found.

commit c10f2acbfcc3834cd938641dc1a2c72aca7f7845
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Jun 10 16:06:59 2014 +0200

    Fix stupid bug in pkg-ng patch

commit e2da5489c3bb829762604c9d41f08cb3aedfd8a6
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Jun 2 15:41:56 2014 +0200

    PATCH #a1283: Recognize Oracle ACFS file system (Thanks John Haxby)

commit 54c2cc2655c1b6c5485d99441aed2ac169eee5f9
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Jun 2 15:26:00 2014 +0200

    Install SNMP-TSM-MIB and SNMP-TLS-TM-MIB

commit ce3091cbc48bc405c6eb1af7ddaeb370ed786471
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Jun 2 15:23:24 2014 +0200

    BUG #a2537: Support *BSD pkg-ng

commit 49e4e49b12aae0d8f7572839365d46cf932bfec9
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Jun 2 15:18:46 2014 +0200

    Fix FreeBSD system define chain

commit 3c5e7124b35fd6aca4284eac365d74b69810785a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Jun 1 11:27:25 2014 +0200

    CHANGES: BUG: 1267 snmplib: register_mib_context() fix for read-only variables
    
    This is a slightly modified version of a patch from Harsha Shivanna.

commit 56ecc433b09e985f1fdd786aae60b061ffac0382
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Jun 1 11:12:47 2014 +0200

    agent/mibgroup/ucd-snmp/lmsensorsMib.c: Fix compiler warnings

commit c9cf8fd869f3791a58a71b8a63f5d61d67291fae
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Jun 1 10:09:28 2014 +0200

    configure: Display modules names sorted

commit 27a16054d656eb10abd032dbac68ebbc26c76007
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Jun 1 09:22:52 2014 +0200

    agent/mibgroup/ip-mib/data_access/defaultrouter_linux: Rework netlink buffer alignment
    
    Based on a patch from Joshua Hoke. See also
    https://sourceforge.net/p/net-snmp/bugs/2547/.

commit bd13f004f6dc16dbe56ea5381662495745d937e1
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 31 20:16:20 2014 +0200

    Windows: 64-bit fix for build-binary.pl

commit 1fa4da1c6cf967606333f7e77e408b7f51ef6256
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri May 30 17:42:07 2014 +0200

    Windows: Suppress Visual Studio 2013 warnings about strtoull()

commit b31aede9c8b63461b5092e16d626a676b172f8aa
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu May 22 23:05:19 2014 +0200

    PATCH #1277: Fix ifspeed for Solaris zones. Thanks to lijo

commit 869f785541a1ea3b4278145867b152bec50d3eb0
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Wed Apr 30 14:52:31 2014 +0200

    winExtDLL: Translate SnmpExtensionQuery() PDU type correctly

commit e0107c26b3a0e30ae83235bb225feb78a1a15638
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Wed Apr 30 15:38:55 2014 +0200

    Windows: Silence a compiler warning

commit 3a9f875423ccaa8baee7e164bb8a75dd8e0b7343
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue May 6 06:27:10 2014 +0200

    PATCH #1279: Modified patch from Mohan for coredump after calling
    free with a bad regex.

commit 51302ba57285d4d47992ed15a460580112a3e924
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue May 6 06:21:24 2014 +0200

    BUG #2521: AIX: dont die when CPU is dynamically added to system.

commit 131c93ba92e46dddec4eb3a8208ab5a3c1026508
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue May 6 06:20:28 2014 +0200

    Complain about -D option if debugging is disabled.

commit 96a7a6a86895fdbf891799e3769b27a7e54af084
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue May 6 06:19:42 2014 +0200

    snmptrapd.8: add some missing format tokens to man page.

commit 80be907be9f4f1df6a1470feafaa916b9c9c4991
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Sun Apr 27 15:25:30 2014 +0200

    Fix bug 2313 for cross compilation.

commit 9ae5981530fd2bdd9f2a5c86b7d6994b873033d7
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Sat Apr 26 22:36:26 2014 +0200

    Prepare for FreeBSD 11 and 12

commit e32f70b12f57d26d69d491f1c742b0132aca7660
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Sat Apr 26 21:42:21 2014 +0200

    Fix a couple of struct sizes to better match declaration.

commit 7cc2deb5d915d2572328317d3701d35d861d3d92
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Sat Apr 26 21:34:26 2014 +0200

    Use inet_pton onplace of inet_aton to help portability.

commit a087fc9f164023de414b09bfd3747c72f1bca07f
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Sat Apr 26 21:30:54 2014 +0200

    Update to current IANA-ADDRESS-FAMILY-NUMBERS-MIB and current RFCs.

commit 857037a8d2457ac9aa2a52510957647971a46634
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Sat Apr 26 21:28:00 2014 +0200

    Prepare for FreeBSD 11 and 12.

commit b99308417d4be7e139f6103d44f11b55433a6bf1
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Sun Mar 16 08:04:15 2014 +0100

    Better documentation for trap logging formats.

commit a6e4eb26f5c04d15761ceaf924580e0c40f72dfe
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 9 08:46:57 2014 +0100

    swrun_*: Simplify commit da00ba1

commit 37af7923b832f2ec80837fa28edcac8eb0c7e8ea
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 9 08:34:12 2014 +0100

    swrun_*: Restore buffer overflow prevention code that was removed in da00ba1

commit f436ce28fda3edc7010cd86ecf3c386c5af52196
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Sat Mar 8 14:07:57 2014 +0100

    util_func: fix skipping of digits which would run one too far

commit da00ba142d6b504255889f09eb9f7d222ef40ada
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Sat Mar 8 14:04:19 2014 +0100

    swrun_*: snprint may have set a too long string length. Fix it if needed.

commit 3b202eb05ec4e5f6f8f54bc8acb437373e6b5d03
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Sat Mar 8 14:02:18 2014 +0100

    swinst_apt: ensure room for string terminator

commit 8a66814edad5a28fdbc8645fb0e14459bf915da0
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Sat Mar 8 14:00:28 2014 +0100

    mta_sendmail: isspace cannot take a char argument

commit 3e734fb3bddf11b99b6ba7ddcb30ae932d8ba3b1
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Sat Mar 8 13:58:07 2014 +0100

    expExpressionConf, expValue: isspace cannot take a char argument.

commit 76e8d6d100320629d8a23be4b0128619600c919d
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Thu Mar 6 09:21:51 2014 +0100

    CHANGES: snmpd: PATCH: 1275: from Viliam Púčik: fixed Perl trap handler when processing trap with empty community string.

commit 5d06a5fbb5ed3ca2b5820e8ef2d5b5b88b9d7df8
Author: Bill Fenner <fenner@gmail.com>
Date:   Mon Feb 3 11:58:03 2014 -0800

    Allow the nodemap to contain multiple nodes for mibs like IF-MIB
    
    In the IF-MIB, "interfaces" and "ifMIBObjects" both contain
    significant subtrees.  Allow nodemap to contain a comma-separated
    list of nodes, to handle MIBs like this.

----------------------------------------------------------------------

Changes: V5.7.3.pre2 -> V5.7.3.pre3

commit 54166cf6c7a98bf8e5d0dbabf9b5e5a255c4c421
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Feb 25 12:45:14 2014 -0800

    make depend for 5.7.3.pre3

commit 3d4e3a66bd097e3720fe5de2f2e05741b3306305
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Feb 25 11:42:15 2014 -0800

    Version number update: 5.7.3.pre3

commit a1fd64716f6794c55c34d77e618210238a73bfa1
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Wed Feb 19 15:21:57 2014 -0800

    bug fix from fenner: fix ICMP mib table handling on linux


----------------------------------------------------------------------

Changes: V5.7.3.pre1 -> V5.7.3.pre2

commit bf0a1c37d8b8c644e837041d090aabe8fd8131e8
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Feb 25 07:49:04 2014 -0800

    make depend for 5.7.3.pre2

commit decfd8d79b54d298ded97439efb710e8f6ba524c
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Feb 25 07:33:52 2014 -0800

    Version number update: 5.7.3.pre2

commit 8aeccef39bbaeb8b8025a68ec4761bc82ec9aeaa
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Tue Feb 25 07:27:47 2014 -0800

    NEWS: snmpd: patch 2525: from Ryan Steinmetz: Fix argument length parsing of the host resources mib

commit b222e7a3eef59cbb68a453476cb364342c74e640
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Feb 19 22:26:08 2014 +0100

    Fix speling error

commit f8fcb3bc38188ccbe9bacee58d6fd2b983d09927
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Feb 19 22:24:26 2014 +0100

    Fix speling error

commit d214d70c4524e62fccaf1083abc5ba1a439a463e
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Feb 19 22:21:55 2014 +0100

    snmpstatus: detect SNMP exception responses.

commit bf75ec66965d157cb0442f7dff5656f99cd70635
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Feb 19 22:20:05 2014 +0100

    Fix test for com2sec6 access.

commit 6567a37fa301b8fa1b68009d5a0b3a3cbfb9e8f1
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Feb 17 21:49:13 2014 +0100

    testing/Makefile.in: make sure '$' survives for perl test.

commit 05b551bc331185eda1c081d3138d0ac625b07d6a
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Feb 17 21:36:48 2014 +0100

    Fix some man page spellings.

commit 8b0555d95cbc238cbe9836439b88070c80a9ca5e
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Feb 17 21:35:28 2014 +0100

    snmpnetstat: fix call of memcpy with overlapping areas.

commit 3c6a7a6c947424824e724e294483a7ecd70d9d41
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Feb 17 21:33:47 2014 +0100

    route_ioctl.c: set proper mask before SIOCDELRT.

commit f99ef5cef203ea378553a2ab4925fcd869e7f5a3
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Feb 11 08:47:51 2014 -0800

    David Jarvie's patch for bug 2507

commit d70f2e91e2c7258e768e32b683d814a941564ac1
Author: Bill Fenner <fenner@gmail.com>
Date:   Mon Feb 3 11:58:03 2014 -0800

    Allow the nodemap to contain multiple nodes for mibs like IF-MIB
    
    In the IF-MIB, "interfaces" and "ifMIBObjects" both contain
    significant subtrees.  Allow nodemap to contain a comma-separated
    list of nodes, to handle MIBs like this.

commit 98781ae3da43b7b1583ecde3e21bb6525a2c0b80
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Jan 27 22:24:18 2014 +0100

    route_ioctl.c: Fix setting the netmask when creating route through
    inetCidrRouteTable and ipCidrRouteTable.

commit 2e94777693f1853479ded670be307ece7138feb5
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Jan 27 22:13:05 2014 +0100

    Fix compile for Solaris without IPv6.

commit 8f6991a2114fd21ba5519ee9576beb082f603dec
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jan 23 16:30:46 2014 +0100

    snmpnetstat: search ifName and ifAlias when looking for interface
    name from -CI option.

commit 4a360104659c169ce232256e138d938d94e435f9
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jan 23 16:28:32 2014 +0100

    logmatch: fix out-of-bounds access. Thanks to gcc or clang
    with -fsanitize=address (recommended!)

commit eef2f64b46357b353c79504bc593535ebe7421e7
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jan 23 16:27:07 2014 +0100

    cpu_linux: support systems with more than 100 cpus.

commit 3bd683c96d6a8864fbd8078574aee8cd431ce302
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Jan 15 18:36:01 2014 +0100

    Update options lists in manual pages and commands help.

commit a5efe8df17ddc4f6693c7da9a52c401f4db2be63
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Jan 15 18:28:24 2014 +0100

    test T027: make sure it works also when configured with --with-default-snmp-version != 3.

commit 57d1082900f9ac931444316a6f95f19eda069074
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Jan 15 18:26:24 2014 +0100

    cpu_linux: remove redundant casts.

commit 9f4c572614091404decba0d4ef1a4cbaf9fc5bd2
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Thu Jan 9 13:35:27 2014 +0100

    CHANGES: snmpd: Fixed monitoring based on non-delta trigger.
    
    snmpd crashed wit following snmpd.conf:
        monitor -s -D -r 10 -e LOGMATCH -o logMatchCurrentCount "Log Match" != logMatchCurrentCount
        logmatch LoginFailure1 /var/log/secure 10 su: .*fail.*
    
    The reason was unitialized variable sysUT_var in mteTrigger_run(), it was
    filled only if the trigger was delta-valued, while its value was used for all
    triggers.
    
    With this patch, sysUT_var is filled for all code branches where it is needed.

commit c7512afe5643ecaae9745ac199b839c3aad8457b
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sun Dec 29 17:34:51 2013 +0100

    Regenerate dependencies

commit c91f840d83981f660b75274dbcc387cb5c5f99af
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sun Dec 29 17:29:26 2013 +0100

    Regenerate dependencies

commit 2dd7dba76d1d0b4f866834e0fd60148c281a153c
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sun Dec 29 17:25:05 2013 +0100

    Regenerate dependencies

commit 591431f7991f83d2385adbc5a22c4a89576bc313
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sun Dec 29 17:21:56 2013 +0100

    Regenerate configure using the right autoconf version

commit 85bb4b5c9f4896876715cb1f14f4f1b582d223bd
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sun Dec 29 17:12:03 2013 +0100

    Regenerate dependencies

commit d255ca426d1e3d4bc48b8f3db937435788934c42
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sun Dec 29 12:35:30 2013 +0100

    CHANGES: building: Avoid duplicate and trailing spaces in the dependency files.

commit d15cd2b9743cccb502deafd143ade0aa90cf31e4
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Sep 21 09:05:13 2013 +0200

    MinGW: Build fix
    
    Apparently with recent MinGW header files <winsock2.h> should be
    included instead of <winsock.h>. Modify <net-snmp/types.h> accordingly.

